<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img [width]="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular TreeList

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular TreeList Component

The [Kendo UI for Angular TreeList](https://www.telerik.com/kendo-angular-ui/treelist) is one of the most powerful and flexible data components designed for Angular developers looking to display relational data. The TreeList displays hierarchical data in a tabular format and comes with an extensive set of built-in features including paging, sorting, filtering, as well as row and column virtualization to assist with handling large datasets.

## Key Features

Among the many features which the Kendo UI for Angular TreeList delivers are:

* [Data Binding](https://www.telerik.com/kendo-angular-ui/components/treelist/data-binding/basics)&mdash;The TreeList features built-in and custom data-binding directives, which encapsulate the logic for handling data operations such as sorting and filtering out-of-the-box.
* [Editing](https://www.telerik.com/kendo-angular-ui/components/treelist/editing/)&mdash;Depending on your users' requirements, you can opt for the inline or the in-cell edit modes, provide editing from an external form or Redux Form, and also further customize the TreeList. 
* [Paging](https://www.telerik.com/kendo-angular-ui/components/treelist/paging/basics)&mdash;Enables you to split its content into pages by adding a pager and using its extensive set of configuration options such as implementing a responsive behavior, customizing its appearance, defining the space between its elements, and more.
* [Sorting](https://www.telerik.com/kendo-angular-ui/components/treelist/sorting/basics)&mdash;Supports a number of sorting options including sorting and unsorting single and multiple columns, pre-sorting its data records, setting the sorting direction, and more.
* [Filtering](https://www.telerik.com/kendo-angular-ui/components/treelist/filtering/basics)&mdash;Provides options for displaying only those data records which meet specified criteria and also for additionally customizing its filtering behavior by using its built-in filter templates or reusable custom filter components.
* Export to [PDF](https://www.telerik.com/kendo-angular-ui/components/treelist/export/pdf-export) and [Excel](https://www.telerik.com/kendo-angular-ui/components/treelist/export/excel-export)&mdash;When implementing the TreeList export to PDF, you can set the fonts, the exact portion and layout of the exported content, also customize the columns and other elements of the output result. When exporting to Excel, you can export specific data and customize the exported columns.
* [Columns Options](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/define-columns)&mdash;The TreeList provides an extensive collection of column configuration options, such as:
    - [Hiding columns](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/hidden)&mdash;Allows you to show or hide columns.
    - [Spanning columns](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/spanned) &mdash;Spanning of the row content over multiple cells of data.
    - [Setting multi-column headers](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/headers)&mdash;Grouping columns under a common header.
    - [Column menu for quick actions](https://www.telerik.com/kendo-angular-ui/components/treelist/accessories/column-menu)&mdash;You can show or hide columns, filter, sort, and group them.
    - [Locking (freezing) columns](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/locked)&mdash;Allows you to display specific column data at all times.
    - [Reordering columns](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/reordering)&mdash;You can reorder any column and with any available TreeList feature, including locked columns.
    - [Resizing columns](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/resizing)&mdash;Allows you to resize columns in real-time by dragging the edges of the column headers.
    - [Customizing columns](https://www.telerik.com/kendo-angular-ui/components/treelist/columns/templates)&mdash;Allows you to customize the columns of the TreeList using the available template directives.
* [Row Reordering](https://www.telerik.com/kendo-angular-ui/components/treelist/row-reordering)&mdash;Enables quick and easy row reordering via dragging specified hint element and dropping it at the desired position.
* [Selection](https://www.telerik.com/kendo-angular-ui/components/treelist/selection)&mdash;Allows the user to select single or multiple cells and rows. It offers various ways to select data items, including directly clicking on a row or via a checkbox column. You can also customize the selection logic and persist the selected items based on specific requirements. 
* [Virtualization](https://www.telerik.com/kendo-angular-ui/components/treelist/scroll-modes/virtual)&mdash;Supports a virtual scroll mode for its row data, which means that the component dynamically renders only a portion of the rows, which boosts the performance of the component when it has to display large data tables.
* [Styling](https://www.telerik.com/kendo-angular-ui/components/treelist/styling/columns)&mdash;Provides built-in options for customizing the appearance and changing the default layout of its columns and rows, as well as the individual cells.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/treelist/globalization/)&mdash;By using the available globalization options in Kendo UI for Angular, you can translate the TreeList messages by adapting them to specific culture locales. Additionally, the TreeList supports rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/treelist/accessibility/)&mdash;The Kendo UI for Angular TreeList is compliant with the Section 508 requirements. The TreeList is accessible by screen readers and provides WAI-ARIA support.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/treelist/keyboard-navigation)&mdash;The Kendo UI for Angular TreeList supports a number of keyboard shortcuts which allow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular TreeList, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular TreeList](https://www.telerik.com/kendo-angular-ui/components/treelist/installation/getting-started)
* [TreeList Overview page](https://www.telerik.com/kendo-angular-ui/components/treelist) and [TreeList API reference](https://www.telerik.com/kendo-angular-ui/components/treelist/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
