/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter } from '@angular/core';
import { MenuTabbingService } from '../filtering/menu/menu-tabbing.service';
import type { ColumnMenuContainerComponent } from './column-menu-container.component';
import * as i0 from "@angular/core";
/**
 * Represents the service passed to the [`ColumnMenuTemplate`]({% slug api_treelist_columnmenutemplatedirective %}) directive.
 *
 * @example
 * ```html
 * <kendo-treelist ...>
 *   <ng-template
 *     kendoTreeListColumnMenuTemplate
 *     let-service="service"
 *     let-column="column">
 *     <kendo-treelist-columnmenu-sort [service]="service">
 *   </ng-template>
 * </kendo-treelist>
 * ```
 */
export declare class ColumnMenuService {
    /**
     * @hidden
     */
    menuTabbingService: MenuTabbingService;
    /**
     * @hidden
     */
    closeMenu: EventEmitter<any>;
    /**
     * @hidden
     */
    column: any;
    /**
     * @hidden
     */
    sort: any;
    /**
     * @hidden
     */
    filter: any;
    /**
     * @hidden
     */
    sortable: any;
    /**
     * @hidden
     */
    columnMenuContainer: ColumnMenuContainerComponent;
    /**
     * @hidden
     */
    constructor(menuTabbingService?: MenuTabbingService);
    /**
     * Closes the column menu.
     */
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnMenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ColumnMenuService>;
}
