/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ColumnBase } from './column-base';
import * as i0 from "@angular/core";
/**
 * Represents the drag handle column for reordering rows in the TreeList.
 *
 * @example
 * ```html
 * <kendo-treelist [data]="data" [fetchChildren]="fetchChildren" [hasChildren]="hasChildren">
 *   <kendo-treelist-rowreorder-column></kendo-treelist-rowreorder-column>
 *   <kendo-treelist-column field="ProductName" title="Product Name"></kendo-treelist-column>
 * </kendo-treelist>
 * ```
 */
export declare class RowReorderColumnComponent extends ColumnBase {
    parent?: ColumnBase;
    /**
     * @hidden
     */
    readonly isRowReorderColumn: boolean;
    constructor(parent?: ColumnBase);
    static ɵfac: i0.ɵɵFactoryDeclaration<RowReorderColumnComponent, [{ optional: true; host: true; skipSelf: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RowReorderColumnComponent, "kendo-treelist-rowreorder-column", never, {}, {}, never, never, true, never>;
}
