/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Renderer2 } from '@angular/core';
import type { TreeListComponent } from '../treelist.component';
import { TreeListToolbarNavigationService } from '../rendering/toolbar/toolbar-navigation.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 *
 * The Context service is used to provide common
 * services and DI tokens for a Grid instance.
 *
 * This keeps the constructor parameters stable
 * and a avoids dependency cycles between components.
 */
export declare class ContextService {
    localization: LocalizationService;
    treelist: TreeListComponent;
    topToolbarNavigation: TreeListToolbarNavigationService;
    bottomToolbarNavigation: TreeListToolbarNavigationService;
    constructor(renderer: Renderer2, localization: LocalizationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContextService>;
}
