/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Observable } from "rxjs";
/**
 * Represents a callback function that confirms if the `dataItem` will be removed. Use this function to prompt the user or perform custom logic before removing an item from the TreeList.
 */
export type RemoveConfirmationCallback = (dataItem: any, parent: any) => Promise<boolean> | Observable<boolean> | boolean;
