/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SortDescriptor, CompositeFilterDescriptor } from '@progress/kendo-data-query';
/**
 * Provides arguments for the [`pageChange`](slug:api_treelist_treelistcomponent#toc-pagechange) event.
 */
export interface PageChangeEvent {
    /**
     * Specifies the number of records to skip.
     */
    skip: number;
    /**
     * Specifies the number of records to take.
     */
    take: number;
}
/**
 * Provides arguments for the [`dataStateChange`](slug:api_treelist_treelistcomponent#toc-datastatechange) event ([more information and examples]({% slug databinding_treelist %})).
 */
export interface DataStateChangeEvent {
    /**
     * Specifies the sort descriptors by which the data is sorted.
     */
    sort?: Array<SortDescriptor>;
    /**
     * Specifies the filter descriptor by which the data is filtered.
     */
    filter?: CompositeFilterDescriptor;
}
