/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents a TreeList item for a data row. Use this interface to access information about a data row in the TreeList.
 */
export interface DataItem {
    /**
     * Specifies the type of the TreeList item.
     */
    type: 'data';
    /**
     * Provides a reference to the data item.
     */
    data: Object;
    /**
     * Specifies the index of the TreeList item. This value may differ from the index of the data item in the source data set.
     */
    index: number;
    /**
     * Indicates if the item is currently being edited.
     */
    isEditing: boolean;
}
