/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2, NgZone } from '@angular/core';
import { Button } from '@progress/kendo-angular-buttons';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { EditService } from './edit.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class BaseCommandDirective extends Button {
    protected editService: EditService;
    /**
     * @hidden
     */
    get visible(): string;
    abstract cellContext: any;
    protected abstract readVisible: boolean;
    protected abstract onClick(): void;
    protected get isEdited(): boolean;
    protected get dataItem(): boolean;
    /**
     * @hidden
     */
    clickHandler(e: any): void;
    constructor(editService: EditService, element: ElementRef, renderer: Renderer2, localization: LocalizationService, ngZone: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseCommandDirective, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseCommandDirective, "[kendoTreeListBaseCommand]", never, {}, {}, never, ["*"], true, never>;
}
