/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../common/preventable-event';
import { EditEvent } from "./edit-event-args.interface";
import type { TreeListComponent } from "../treelist.component";
/**
 * Provides arguments for the `cellClose` event.
 *
 */
export declare class CellCloseEvent extends PreventableEvent implements EditEvent {
    isNew: boolean;
    dataItem: any;
    sender: TreeListComponent;
    /**
     * @hidden
     */
    action: string;
    /**
     * Specifies the TreeList column that will be closed.
     */
    column: any;
    /**
     * Provides the [`FormGroup`](link:site.data.urls.angular['formgroupapi']) used to edit the cell that will be closed.
     */
    formGroup: any;
    /**
     * Provides the DOM event that caused the `cellClose` event. May not be present if `cellClose` was caused by an API call.
     */
    originalEvent: any;
    constructor(options: any);
}
