/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import type { TreeListComponent } from "../treelist.component";
/**
 * Provides arguments for the [`edit`](slug:api_treelist_treelistcomponent#toc-edit) event. Use this interface to access the data item, its state, and the TreeList component instance when editing a row.
 *
 */
export interface EditEvent {
    /**
     * Specifies the data item.
     */
    dataItem: any;
    /**
     * Indicates if the data item is new or existing.
     */
    isNew: boolean;
    /**
     * Provides the `TreeListComponent` instance.
     */
    sender: TreeListComponent;
}
