/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EditEvent } from "./edit-event-args.interface";
/**
 * Provides arguments for the [`remove`](slug:api_treelist_treelistcomponent#toc-remove) event. Use this interface to access the parent data item when removing a row from the TreeList.
 *
 */
export interface RemoveEvent extends EditEvent {
    /**
     * Specifies the data item of the parent row, if any.
     */
    parent: any;
}
