/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EditEvent } from "./edit-event-args.interface";
import { FormGroup } from "@angular/forms";
/**
 * Provides arguments for the [`save`](slug:api_treelist_treelistcomponent#toc-save) event. Use this interface to access the form group and parent data item when saving a row in the TreeList.
 *
 */
export interface SaveEvent extends EditEvent {
    /**
     * Specifies the edited `formGroup` instance.
     */
    formGroup: FormGroup;
    /**
     * Specifies the data item of the parent row, if any.
     */
    parent: any;
}
