/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the event arguments for the `columnLockedChange` event in the Kendo UI for Angular TreeList.
 * Use this event to access the columns whose locked state has changed.
 *
 */
export class ColumnLockedChangeEvent {
    /**
     * The array of columns whose locked state has changed.
     */
    columns;
    /**
     * @hidden
     */
    constructor(columns) {
        this.columns = columns;
    }
}
