/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../common/preventable-event';
/**
 * Provides arguments for the `cellClose` event.
 *
 */
export class CellCloseEvent extends PreventableEvent {
    isNew;
    dataItem;
    sender;
    /**
     * @hidden
     */
    action = 'cellClose';
    /**
     * Specifies the TreeList column that will be closed.
     */
    column;
    /**
     * Provides the [`FormGroup`](link:site.data.urls.angular['formgroupapi']) used to edit the cell that will be closed.
     */
    formGroup;
    /**
     * Provides the DOM event that caused the `cellClose` event. May not be present if `cellClose` was caused by an API call.
     */
    originalEvent;
    constructor(options) {
        super();
        Object.assign(this, options);
    }
}
