/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { IconsService } from '@progress/kendo-angular-icons';
import { KENDO_TREELIST_EXCEL_EXPORT } from '../directives';
import * as i0 from "@angular/core";
import * as i1 from "./excel.component";
import * as i2 from "./excel-command.directive";
import * as i3 from "./excel-command-tool.directive";
import * as i4 from "@progress/kendo-angular-excel-export";
// IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Excel component of the TreeList.
 *
 * @example
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from "@angular/platform-browser";
 * import { TreeListModule, ExcelModule } from '@progress/kendo-angular-treelist';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, TreeListModule, ExcelModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export class ExcelModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ExcelModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ExcelModule, imports: [i1.ExcelComponent, i2.ExcelCommandDirective, i3.ExcelCommandToolbarDirective, i4.ColumnComponent, i4.ColumnGroupComponent, i4.FooterTemplateDirective, i4.GroupFooterTemplateDirective, i4.GroupHeaderColumnTemplateDirective, i4.GroupHeaderTemplateDirective], exports: [i1.ExcelComponent, i2.ExcelCommandDirective, i3.ExcelCommandToolbarDirective, i4.ColumnComponent, i4.ColumnGroupComponent, i4.FooterTemplateDirective, i4.GroupFooterTemplateDirective, i4.GroupHeaderColumnTemplateDirective, i4.GroupHeaderTemplateDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ExcelModule, providers: [IconsService], imports: [i2.ExcelCommandDirective, i4.ColumnComponent, i4.ColumnGroupComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ExcelModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_TREELIST_EXCEL_EXPORT],
                    exports: [...KENDO_TREELIST_EXCEL_EXPORT],
                    providers: [IconsService]
                }]
        }] });
