/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../common/preventable-event';
/**
 * Arguments for the TreeList expand and collapse events. [See example]({% slug treelist_expanded_state %}).
 */
export class ExpandEvent extends PreventableEvent {
    /**
     * The expanded or collapsed data item.
     */
    dataItem;
    /**
     * The TreeList component that triggers the event.
     */
    sender;
    /**
     * @hidden
     */
    expand;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        this.expand = args.expand;
        this.dataItem = args.dataItem;
    }
}
