/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Component } from '@angular/core';
import { PDFExportMarginComponent } from '@progress/kendo-angular-pdf-export';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI PDFMargin component for Angular.
 * The supported units are `"mm"`, `"cm"`, `"in"`, and `"pt"` (default).
 * Numbers are considered to be points (`"pt"`).
 *
 * @example
 * ```html
 * <kendo-treelist>
 *   <kendo-treelist-pdf [allPages]="true" [delay]="100">
 *     <kendo-treelist-pdf-margin top="1cm" bottom="1cm" left="1cm" right="1cm"></kendo-treelist-pdf-margin>
 *   </kendo-treelist-pdf>
 * </kendo-treelist>
 * ```
 */
export class PDFMarginComponent extends PDFExportMarginComponent {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PDFMarginComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: PDFMarginComponent, isStandalone: true, selector: "kendo-treelist-pdf-margin", usesInheritance: true, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PDFMarginComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'kendo-treelist-pdf-margin',
                    template: '',
                    standalone: true
                }]
        }] });
