/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { IconsService, KENDO_ICONS } from '@progress/kendo-angular-icons';
import { KENDO_TREELIST_PDF_EXPORT } from '../directives';
import * as i0 from "@angular/core";
import * as i1 from "./pdf.component";
import * as i2 from "./pdf-margin.component";
import * as i3 from "./pdf-command.directive";
import * as i4 from "./pdf-template.directive";
import * as i5 from "./pdf-command-tool.directive";
import * as i6 from "@progress/kendo-angular-icons";
// IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) definition for the TreeList PDF component.
 * Use this module to enable PDF export features of the TreeList inside NgModule-based Angular application.
 *
 * @example
 *
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from "@angular/platform-browser";
 * import { TreeListModule, PDFModule } from '@progress/kendo-angular-treelist';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, TreeListModule, PDFModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export class PDFModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PDFModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: PDFModule, imports: [i1.PDFComponent, i2.PDFMarginComponent, i3.PDFCommandDirective, i4.PDFTemplateDirective, i5.PDFCommandToolbarDirective, i6.IconComponent, i6.SVGIconComponent], exports: [i1.PDFComponent, i2.PDFMarginComponent, i3.PDFCommandDirective, i4.PDFTemplateDirective, i5.PDFCommandToolbarDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PDFModule, providers: [IconsService], imports: [i3.PDFCommandDirective, KENDO_ICONS] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: PDFModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_TREELIST_PDF_EXPORT, ...KENDO_ICONS],
                    exports: [...KENDO_TREELIST_PDF_EXPORT],
                    providers: [IconsService]
                }]
        }] });
