/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Arguments for the TreeList `selectionChange` event.
 */
export class SelectionChangeEvent {
    /**
     * Specifies how the selection was changed.
     */
    action;
    /**
     * Specifies which items were changed.
     */
    items;
    /**
     * The TreeList component that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(action, items) {
        this.action = action;
        this.items = items;
    }
}
