/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Observable } from "rxjs";
/**
 * The expected type of result for the TreeList Excel export [`fetchData` function](slug:api_treelist_excelcomponent#toc-fetchdata).
 */
export interface ExcelExportData {
    /**
     * The root data to export.
     */
    data: any[] | Observable<any[]>;
    /**
     * Returns the children for an item.
     */
    fetchChildren: any;
    /**
     * Indicates if a particular item has children.
     */
    hasChildren: any;
}
