/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./excel.component";
import * as i2 from "./excel-command.directive";
import * as i3 from "./excel-command-tool.directive";
import * as i4 from "@progress/kendo-angular-excel-export";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Excel component of the TreeList.
 *
 * @example
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from "@angular/platform-browser";
 * import { TreeListModule, ExcelModule } from '@progress/kendo-angular-treelist';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, TreeListModule, ExcelModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class ExcelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ExcelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ExcelModule, never, [typeof i1.ExcelComponent, typeof i2.ExcelCommandDirective, typeof i3.ExcelCommandToolbarDirective, typeof i4.ColumnComponent, typeof i4.ColumnGroupComponent, typeof i4.FooterTemplateDirective, typeof i4.GroupFooterTemplateDirective, typeof i4.GroupHeaderColumnTemplateDirective, typeof i4.GroupHeaderTemplateDirective], [typeof i1.ExcelComponent, typeof i2.ExcelCommandDirective, typeof i3.ExcelCommandToolbarDirective, typeof i4.ColumnComponent, typeof i4.ColumnGroupComponent, typeof i4.FooterTemplateDirective, typeof i4.GroupFooterTemplateDirective, typeof i4.GroupHeaderColumnTemplateDirective, typeof i4.GroupHeaderTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ExcelModule>;
}
