/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import type { TreeListComponent } from '../treelist.component';
import { PreventableEvent } from '../common/preventable-event';
/**
 * Arguments for the TreeList expand and collapse events. [See example]({% slug treelist_expanded_state %}).
 */
export declare class ExpandEvent extends PreventableEvent {
    /**
     * The expanded or collapsed data item.
     */
    dataItem: any;
    /**
     * The TreeList component that triggers the event.
     */
    sender: TreeListComponent;
    /**
     * @hidden
     */
    expand: boolean;
    /**
     * @hidden
     */
    constructor(args: any);
}
