/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FilterDescriptor } from '@progress/kendo-data-query';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ColumnComponent } from '../../columns/column.component';
import { FilterService } from '../filter.service';
import { BaseFilterCellComponent } from '../base-filter-cell.component';
import { FilterComponent } from '../filter-component.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AutoCompleteFilterCellComponent extends BaseFilterCellComponent implements FilterComponent {
    protected localization: LocalizationService;
    showOperators: boolean;
    column: ColumnComponent;
    data: any[];
    set valueField(value: string);
    get valueField(): string;
    get currentFilter(): FilterDescriptor;
    get currentOperator(): string;
    private _valueField;
    constructor(filterService: FilterService, column: ColumnComponent, localization: LocalizationService);
    /**
     * @hidden
     */
    get columnLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoCompleteFilterCellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AutoCompleteFilterCellComponent, "kendo-treelist-autocomplete-filter-cell", never, { "showOperators": { "alias": "showOperators"; "required": false; }; "column": { "alias": "column"; "required": false; }; "data": { "alias": "data"; "required": false; }; "valueField": { "alias": "valueField"; "required": false; }; }, {}, never, never, true, never>;
}
