/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { CompositeFilterDescriptor } from '@progress/kendo-data-query';
import { ColumnBase } from '../columns/column-base';
import { ColumnComponent } from '../columns/column.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterRowComponent {
    columns: ColumnBase[];
    filter: CompositeFilterDescriptor;
    logicalRowIndex: number;
    lockedColumnsCount: number;
    filterRowClass: boolean;
    filterLabel: string;
    constructor(localization: LocalizationService);
    getColumnComponent(column: ColumnBase): ColumnComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterRowComponent, "[kendoTreeListFilterRow]", never, { "columns": { "alias": "columns"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "logicalRowIndex": { "alias": "logicalRowIndex"; "required": false; }; "lockedColumnsCount": { "alias": "lockedColumnsCount"; "required": false; }; }, {}, never, never, true, never>;
}
