/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FilterDescriptor, CompositeFilterDescriptor } from '@progress/kendo-data-query';
import { ColumnComponent } from "../../columns/column.component";
import { FilterService } from '../filter.service';
import { MenuTabbingService } from './menu-tabbing.service';
import { ContextService } from '../../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class NumericFilterMenuInputComponent {
    private ctx;
    operators: Array<{
        text: string;
        value: string;
    }>;
    column: ColumnComponent;
    filter: CompositeFilterDescriptor;
    operator: string;
    currentFilter: FilterDescriptor;
    filterService: FilterService;
    placeholder: string;
    filterDelay: number;
    isFirstDropDown: boolean;
    menuTabbingService: MenuTabbingService;
    step: number;
    min: number;
    max: number;
    spinners: boolean;
    decimals: number;
    format: string;
    constructor(ctx: ContextService);
    messageFor(key: string): string;
    /**
     * @hidden
     */
    get columnLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumericFilterMenuInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumericFilterMenuInputComponent, "kendo-treelist-numeric-filter-menu-input", never, { "operators": { "alias": "operators"; "required": false; }; "column": { "alias": "column"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "operator": { "alias": "operator"; "required": false; }; "currentFilter": { "alias": "currentFilter"; "required": false; }; "filterService": { "alias": "filterService"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "filterDelay": { "alias": "filterDelay"; "required": false; }; "isFirstDropDown": { "alias": "isFirstDropDown"; "required": false; }; "menuTabbingService": { "alias": "menuTabbingService"; "required": false; }; "step": { "alias": "step"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "spinners": { "alias": "spinners"; "required": false; }; "decimals": { "alias": "decimals"; "required": false; }; "format": { "alias": "format"; "required": false; }; }, {}, never, never, true, never>;
}
