/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FilterDescriptor, CompositeFilterDescriptor } from '@progress/kendo-data-query';
import { ColumnComponent } from "../../columns/column.component";
import { FilterService } from '../filter.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { MenuTabbingService } from './menu-tabbing.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class StringFilterMenuInputComponent {
    private localization;
    operators: Array<{
        text: string;
        value: string;
    }>;
    column: ColumnComponent;
    filter: CompositeFilterDescriptor;
    operator: string;
    currentFilter: FilterDescriptor;
    filterService: FilterService;
    placeholder: string;
    isFirstDropDown: boolean;
    menuTabbingService: MenuTabbingService;
    constructor(localization: LocalizationService);
    get columnLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<StringFilterMenuInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StringFilterMenuInputComponent, "kendo-treelist-string-filter-menu-input", never, { "operators": { "alias": "operators"; "required": false; }; "column": { "alias": "column"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "operator": { "alias": "operator"; "required": false; }; "currentFilter": { "alias": "currentFilter"; "required": false; }; "filterService": { "alias": "filterService"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "isFirstDropDown": { "alias": "isFirstDropDown"; "required": false; }; "menuTabbingService": { "alias": "menuTabbingService"; "required": false; }; }, {}, never, never, true, never>;
}
