/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const toJSON: (xs: FilterOperatorBase[]) => Array<{
    text: string;
    value: string;
}>;
/**
 * @hidden
 */
export declare class FilterOperatorBase implements OnDestroy {
    protected operator: string;
    protected localization: LocalizationService;
    /**
     * The text displayed in the drop-down list for the filter operator.
     * @readonly
     * @type {string}
     * @memberOf FilterOperatorBase
     */
    get text(): string;
    set text(value: string);
    private subscription;
    private messages;
    private _text;
    constructor(operator: string, localization: LocalizationService);
    ngOnDestroy(): void;
    /**
     * @hidden
     */
    toJSON(): {
        text: string;
        value: string;
    };
    protected refreshText(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterOperatorBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FilterOperatorBase, never, never, { "text": { "alias": "text"; "required": false; }; }, {}, never, never, false, never>;
}
