/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Overrides the default component messages with custom messages.
 * [See example](slug:globalization_treelist#toc-custom-messages).
 *
 * @example
 * ```html
 * <kendo-treelist>
 *   <kendo-treelist-messages
 *     noRecords="No records available">
 *   </kendo-treelist-messages>
 * </kendo-treelist>
 * ```
 */
export declare class CustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomMessagesComponent, "kendo-treelist-messages", never, {}, {}, never, never, true, never>;
}
