/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy, OnChanges } from '@angular/core';
import { IdService } from '../common/id.service';
import { NavigationService } from './navigation.service';
import { LogicalRow } from './logical-row.interface';
import { ColumnsContainer } from '../columns/columns-container';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class LogicalRowDirective implements LogicalRow, OnDestroy, OnChanges {
    private idService;
    private navigation;
    logicalRowIndex: number;
    logicalSlaveRow: boolean;
    logicalCellsCount: number;
    logicalSlaveCellsCount: number;
    dataRowIndex: number;
    dataItem: any;
    isNew: boolean;
    totalColumns: ColumnsContainer;
    uid: number;
    get hostRole(): string;
    get ariaRowIndex(): number;
    get rowIndex(): number;
    get ariaOwns(): string;
    tableRowClass: boolean;
    constructor(idService: IdService, navigation: NavigationService);
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
    private get columnsArray();
    static ɵfac: i0.ɵɵFactoryDeclaration<LogicalRowDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LogicalRowDirective, "[kendoTreeListLogicalRow]", never, { "logicalRowIndex": { "alias": "logicalRowIndex"; "required": false; }; "logicalSlaveRow": { "alias": "logicalSlaveRow"; "required": false; }; "logicalCellsCount": { "alias": "logicalCellsCount"; "required": false; }; "logicalSlaveCellsCount": { "alias": "logicalSlaveCellsCount"; "required": false; }; "dataRowIndex": { "alias": "dataRowIndex"; "required": false; }; "dataItem": { "alias": "dataItem"; "required": false; }; "isNew": { "alias": "isNew"; "required": false; }; "totalColumns": { "alias": "totalColumns"; "required": false; }; }, {}, never, never, true, never>;
}
