/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FocusGroup } from './focus-group';
import { LogicalCell } from './logical-cell.interface';
import { NavigationCell } from './navigation-cell.interface';
/**
 * @hidden
 */
export declare class ModelCell implements NavigationCell {
    uid: number;
    column: any;
    colIndex: number;
    rowIndex: number;
    colSpan?: number;
    rowSpan?: number;
    dataRowIndex: number;
    dataItem: any;
    parent?: NavigationCell;
    focusGroup?: FocusGroup;
    expandable?: boolean;
    constructor(modelRow: any, cell: LogicalCell);
    focusContent(): void;
}
