/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PDFExportMarginComponent } from '@progress/kendo-angular-pdf-export';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI PDFMargin component for Angular.
 * The supported units are `"mm"`, `"cm"`, `"in"`, and `"pt"` (default).
 * Numbers are considered to be points (`"pt"`).
 *
 * @example
 * ```html
 * <kendo-treelist>
 *   <kendo-treelist-pdf [allPages]="true" [delay]="100">
 *     <kendo-treelist-pdf-margin top="1cm" bottom="1cm" left="1cm" right="1cm"></kendo-treelist-pdf-margin>
 *   </kendo-treelist-pdf>
 * </kendo-treelist>
 * ```
 */
export declare class PDFMarginComponent extends PDFExportMarginComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFMarginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PDFMarginComponent, "kendo-treelist-pdf-margin", never, {}, {}, never, never, true, never>;
}
