/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./pdf.component";
import * as i2 from "./pdf-margin.component";
import * as i3 from "./pdf-command.directive";
import * as i4 from "./pdf-template.directive";
import * as i5 from "./pdf-command-tool.directive";
import * as i6 from "@progress/kendo-angular-icons";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) definition for the TreeList PDF component.
 * Use this module to enable PDF export features of the TreeList inside NgModule-based Angular application.
 *
 * @example
 *
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from "@angular/platform-browser";
 * import { TreeListModule, PDFModule } from '@progress/kendo-angular-treelist';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, TreeListModule, PDFModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class PDFModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PDFModule, never, [typeof i1.PDFComponent, typeof i2.PDFMarginComponent, typeof i3.PDFCommandDirective, typeof i4.PDFTemplateDirective, typeof i5.PDFCommandToolbarDirective, typeof i6.IconComponent, typeof i6.SVGIconComponent], [typeof i1.PDFComponent, typeof i2.PDFMarginComponent, typeof i3.PDFCommandDirective, typeof i4.PDFTemplateDirective, typeof i5.PDFCommandToolbarDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PDFModule>;
}
