/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentChecked, DoCheck } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { LocalizationService } from "@progress/kendo-angular-l10n";
import { EditService } from '../editing/edit.service';
import { ColumnComponent } from '../columns/column.component';
import { FocusGroup } from '../navigation/focus-group';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class CellComponent implements AfterContentChecked, DoCheck {
    private editService;
    private localization;
    focusGroup: FocusGroup;
    get commandCellClass(): boolean;
    get isCheckboxColumn(): boolean;
    get textNoWrapClass(): boolean;
    get dragHandleCellClass(): boolean;
    get dragRowHandleLabel(): string;
    column: any;
    columnIndex: number;
    isNew: boolean;
    level: number;
    hasChildren: boolean;
    isExpanded: boolean;
    loading: boolean;
    expandIcons: boolean;
    rowIndex: number;
    selected: boolean;
    dataItem: any;
    set viewItem(value: any);
    get viewItem(): any;
    get formGroup(): FormGroup;
    get isEdited(): boolean;
    get templateContext(): any;
    get editTemplateContext(): any;
    get format(): any;
    get isBoundColumn(): boolean;
    get isSpanColumn(): boolean;
    get childColumns(): ColumnComponent[];
    caretAltDownIcon: SVGIcon;
    caretAltRightIcon: SVGIcon;
    caretAltLeftIcon: SVGIcon;
    reorderIcon: SVGIcon;
    noneIcon: SVGIcon;
    cellContext: any;
    private _templateContext;
    private _editTemplateContext;
    private _viewItem;
    constructor(editService: EditService, localization: LocalizationService, focusGroup: FocusGroup);
    ngDoCheck(): void;
    ngAfterContentChecked(): void;
    private updateTemplateContext;
    get arrowIcon(): string;
    get arrowSVGIcon(): SVGIcon;
    messageFor(token: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CellComponent, "[kendoTreeListCell]", never, { "column": { "alias": "column"; "required": false; }; "columnIndex": { "alias": "columnIndex"; "required": false; }; "isNew": { "alias": "isNew"; "required": false; }; "level": { "alias": "level"; "required": false; }; "hasChildren": { "alias": "hasChildren"; "required": false; }; "isExpanded": { "alias": "isExpanded"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "expandIcons": { "alias": "expandIcons"; "required": false; }; "rowIndex": { "alias": "rowIndex"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "dataItem": { "alias": "dataItem"; "required": false; }; "viewItem": { "alias": "viewItem"; "required": false; }; }, {}, never, never, true, never>;
}
