/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, AfterViewInit, Renderer2, OnDestroy, ElementRef } from '@angular/core';
import { ContextService } from './../../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ToolbarComponent implements AfterViewInit, OnDestroy {
    private elem;
    private renderer;
    private ctx;
    hostRole: string;
    hostClasses: boolean;
    context: any;
    set position(value: 'top' | 'bottom');
    navigable: boolean;
    get toolbarTemplateRef(): TemplateRef<any>;
    private subs;
    private navigationService;
    constructor(elem: ElementRef, renderer: Renderer2, ctx: ContextService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private onKeyDown;
    private changeFocusedItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToolbarComponent, "kendo-treelist-toolbar", never, { "position": { "alias": "position"; "required": false; }; "navigable": { "alias": "navigable"; "required": false; }; }, {}, never, never, true, never>;
}
