/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DragTargetPressEvent, DragTargetDragEvent, DropTargetEvent } from '@progress/kendo-angular-utils';
import { EventEmitter, Renderer2 } from '@angular/core';
import { RowReorderEvent } from './types';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { ColumnList } from '../columns/column-list';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RowReorderService {
    private renderer;
    defaultSelectors: {
        handle: string;
        dragTarget: string;
        dropTarget: string;
    };
    dragTarget: HTMLElement;
    dropTarget: HTMLElement;
    view: any;
    bindingDirective: any;
    private offsetY;
    private dropIndicator;
    private lastDropPosition;
    private hintElement;
    rowReorder: EventEmitter<RowReorderEvent>;
    constructor(renderer: Renderer2);
    ngOnDestroy(): void;
    press(ev: DragTargetPressEvent): void;
    dragStart(): void;
    drag(ev: DragTargetDragEvent): void;
    dragEnter(ev: DropTargetEvent): void;
    dragLeave(): void;
    dragEnd(): void;
    drop(): void;
    get hintIcon(): string;
    get hintSVGIcon(): SVGIcon;
    getDefaultHintText(columns: ColumnList, data: any): string;
    rowReorderArgs(dragRow: HTMLElement, dropRow: HTMLElement, data: Array<any>): RowReorderEvent;
    isOverChild(_item: any): boolean;
    reorderRows(_ev: RowReorderEvent, _collection: Array<any>, _field?: string): void;
    get parentIdField(): string;
    get idField(): string;
    get childrenField(): string;
    get data(): any[];
    private getDragRowPerElement;
    private createDropIndicator;
    private destroyDropIndicator;
    private destroyHintElement;
    private decorateHint;
    private positionDropIndicator;
    private decorateDropIndicator;
    private getDropPosition;
    private updateDropIndicatorPosition;
    private shouldHideDropIndicator;
    private hide;
    private show;
    static ɵfac: i0.ɵɵFactoryDeclaration<RowReorderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RowReorderService>;
}
