/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Arguments for the scrollTo method. Specifies the row or column to which the TreeList should scroll.
 */
export interface ScrollRequest {
    /**
     * The row index to which the TreeList should scroll, considering 0 as the first row.
     */
    row?: number;
    /**
     * The column index to which the TreeList should scroll, considering 0 as the first column.
     */
    column?: number;
}
/**
 * @hidden
 */
export declare class ScrollRequestService {
    requests: Subject<ScrollRequest>;
    scrollTo(request: ScrollRequest): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollRequestService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ScrollRequestService>;
}
