/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ColumnBase } from '../columns/column-base';
/**
 * Represents the callback used by the [`isSelected`]({% slug api_treelist_treelistcomponent %}#toc-isSelected) property.
 * Use this function to determine if a data item is selected.
 *
 * @example
 * ```ts
 * public isSelected(dataItem: any, column?: ColumnBase, columnIndex?: number): boolean {
 *   return dataItem.selected;
 * }
 * ```
 */
export type IsSelectedFn = (dataItem: any, column?: ColumnBase, columnIndex?: number) => boolean;
