/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef } from '@angular/core';
import { DraggableDirective } from '@progress/kendo-angular-common';
import { SelectionService } from './selection.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class MarqueeDirective {
    private draggable;
    private selection;
    private changeDetector;
    get userSelection(): string;
    private pressArgs;
    private marqueeElement;
    private pressTarget;
    private currentTarget;
    private selectionSelected;
    private state;
    private subscriptions;
    private selectionStarted;
    constructor(draggable: DraggableDirective, selection: SelectionService, changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private cellSelected;
    private rowSelected;
    private start;
    private moveMarquee;
    private endSelection;
    private clean;
    private targetArgs;
    private initMarquee;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarqueeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MarqueeDirective, "[kendoTreeListSelectionMarquee]", never, {}, {}, never, never, true, never>;
}
