/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export declare class RowSelectionState {
    private keys;
    clear(): void;
    has(key: any): boolean;
    add(key: any): void;
    remove(key: any): void;
    toArray(): any[];
    fromArray(arr: any[]): void;
}
/**
 * @hidden
 */
export declare class CellSelectionState {
    private keys;
    clear(): void;
    has(key: any, columnKey: any): boolean;
    add(key: any, columnKey: any): void;
    remove(key: any, columnKey: any): void;
    toArray(): any[];
    fromArray(state: any[]): void;
    updateColumKeys(changes: any): boolean;
    forEach(callback: any): void;
}
/**
 * @hidden
 */
export declare const createState: (settings: any) => RowSelectionState | CellSelectionState;
