/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Subject } from "rxjs";
import { SelectionChangeEvent } from './selection-change-event';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const defaultSelected: (_item: any) => boolean;
/**
 * @hidden
 */
export declare class SelectionService {
    changes: Subject<SelectionChangeEvent>;
    selectAllCheckedStateChange: Subject<any>;
    state: any[];
    set settings(value: any);
    get settings(): any;
    get enableMarquee(): boolean;
    get enableMultiple(): boolean;
    get rowSelection(): boolean;
    isSelected: any;
    isRowSelected: any;
    isCellSelected: any;
    enabled: boolean;
    dragging: boolean;
    selectAllCheckedState: any;
    private view;
    private columnsContainer;
    private _settings;
    private selectionOrigin;
    private tables;
    private subscriptions;
    init(treelist: any): void;
    ngOnDestroy(): void;
    registerTable(table: any): void;
    unregisterTable(table: any): void;
    click(args: any, toggle?: boolean): void;
    checkboxClick(args: any): void;
    toggleAll(select: boolean): void;
    selectRange(firstPoint: any, secondPoint: any): void;
    rangeItems(firstPoint: any, secondPoint: any): any[];
    updateSelectedState(): void;
    targetArgs(target: any, skipFocusable?: boolean): any;
    protected rowSelected(dataItem: any): boolean;
    protected cellSelected(dataItem: any, column: any, columnIndex: any): boolean;
    protected get leafColumns(): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SelectionService>;
}
